.\" Copyright 1990, Network Computing Devices
.\" Copyright 1990, 1998  The Open Group
.\"
.\" Permission to use, copy, modify, distribute, and sell this software and its
.\" documentation for any purpose is hereby granted without fee, provided that
.\" the above copyright notice appear in all copies and that both that
.\" copyright notice and this permission notice appear in supporting
.\" documentation.
.\"
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE OPEN GROUP BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of The Open Group shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from The Open Group.
.\"
.\"
.TH FSTOBDF __appmansuffix__ __xorgversion__
.SH NAME
fstobdf \- generate BDF font from X font server
.SH SYNOPSIS
.B "fstobdf"
[
.B \-server
.I servername
]
.B \-fn
.I fontname
.TP
.B fstobdf \-version
.SH DESCRIPTION
The \fIfstobdf\fP program reads a font from a font server and prints a BDF
file on the standard output that may be used to recreate the font.
This is useful in testing servers, debugging font metrics, and reproducing
lost BDF files.
.SH OPTIONS
.TP 8
.B \-server \fIservername\fP
This option specifies the server from which the font should be read.
.I servername
must be specified in one of the formats defined in the
.I Font Server Names
section of X(__miscmansuffix__).   If not specified, the server name in the
.B FONTSERVER
environment variable is used.
.TP 8
.B \-fn \fIfontname\fP
This option specifies the font for which a BDF file should be generated.
.TP 8
.B \-version
This option prints the program version and then exits without generating
a BDF file.
.SH ENVIRONMENT
.TP 8
.B FONTSERVER
The default server to use.  The server name must
be specified in one of the formats defined in the
.I Font Server Names
section of X(__miscmansuffix__).
.SH "SEE ALSO"
xfs(__appmansuffix__), bdftopcf(__appmansuffix__), showfont(__appmansuffix__),
fslsfonts(__appmansuffix__), X(__miscmansuffix__).
.SH AUTHOR
Olaf Brandt, Network Computing Devices
.br
Dave Lemke, Network Computing Devices
.br
.sp
Jim Fulton, MIT X Consortium
