.\" Copyright 1991, Network Computing Devices, Inc
.\" Copyright 1993, 1998  The Open Group
.\"
.\" Permission to use, copy, modify, distribute, and sell this software and its
.\" documentation for any purpose is hereby granted without fee, provided that
.\" the above copyright notice appear in all copies and that both that
.\" copyright notice and this permission notice appear in supporting
.\" documentation.
.\"
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE OPEN GROUP BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of The Open Group shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from The Open Group.
.\"
.TH XFSINFO __appmansuffix__ __xorgversion__
.SH NAME
xfsinfo \- X font server information utility
.SH SYNOPSIS
.B "xfsinfo"
[\-server \fIservername\fP]
.SH DESCRIPTION
.PP
.I Xfsinfo
is a utility for displaying information about an X font server.  It is used to
examine the
capabilities of a server, the predefined values for various parameters used
in communicating between clients and the server, and the font catalogues
and alternate servers that are available.
.SH "OPTIONS"
.PP
.TP
.B \-server \fIservername\fP
This option specifies the X font server to contact.
.I servername
must be specified in one of the formats defined in the
.I Font Server Names
section of X(__miscmansuffix__).   If not specified, the server name in the
.B FONTSERVER
environment variable is used.
.TP
.B \-version
This option prints the program version and exits.
.SH HISTORY
.I Xfsinfo
was originally called
.I fsinfo.
It was renamed to avoid a clash with the
.I fsinfo
utility from the Berkeley automounter
.I amd.
.SH EXAMPLE
.PP
The following shows a sample produced by
.IR xfsinfo .
.PP
.nf
example% xfsinfo -server hansen:7100
name of server:	hansen:7100
version number:	1
vendor string:	Font Server Prototype
vendor release number:	17
maximum request size:	16384 longwords (65536 bytes)
number of catalogues:	1
	all
Number of alternate servers: 2
\&    #0	hansen:7101
\&    #1	hansen:7102
number of extensions:	0
.fi

.SH ENVIRONMENT
.PP
.TP 8
.B FONTSERVER
To get the default fontserver.  The server name must
be specified in one of the formats defined in the
.I Font Server Names
section of X(__miscmansuffix__).
.SH "SEE ALSO"
xfs(__appmansuffix__), fslsfonts(__appmansuffix__), X(__miscmansuffix__).
.SH AUTHOR
Dave Lemke, Network Computing Devices, Inc
